Mantis Bugtracker          
testlink.org

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0001253TestLinkDocumentation (Install, User Manual, help)public2008-01-04 22:132008-11-07 19:45
Reporteranilkanchi 
Assigned Tomhavlat 
PrioritynormalSeverityminorReproducibilityN/A
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version1.7.2 
Fixed in Version1.8 Beta 3 
Summary0001253: How is the milestone feature supposed to work ?
DescriptionSorry about posting this in the tracker. I cuold not find any relevant documentation in the testlink user manual.
Section 7.5. Milestones in the user manual states that...

Test leader can define percentage of finished tests with respect to defined date. The current solution expected a defined priorities.

It's not clear if the milestone is just about used to add milestone and keep it there for record purpose or is it linked to the execution of the test cases or any other feature in testlink. ?

Can that be clarified in the document in detail on how to effectively use milestone feature in testlink.

Also Section 7.4 priority states that
TestLink gives users with Leader rights the ability to assign ownership and priority to test
cases. General Risk is done at the Test suite level.
Risk levels are low, medium, high and Importance levels are 3, 2, 1. Users can rank the
combinations of risk and importance (L1, L2, L3, M1, H2, M3, H1, H2, H3) as priority A,B,C.
Assigning risk, importance, ownership, and priority are all optional and will default to priority B
in the metrics screen.
This feature needs update to allow Importance assignment to particular Test cases.

It's not clear by what the author means by update.
Is the priority field present in the test link and if so how can i see and use that ?
If not, then the word "update" in the sentence "This feature needs update to allow Importance assignment to particular Test cases." misleads the end user to think that feature is present with limited functionality.
TagsNo tags attached.
Database (MySQL,Postgres,etc)
Browser
PHP Version
TestCaseID
QA Team - Task Workflow Status
Attached Files

- Relationships

-  Notes
(0003832)
mhavlat (reporter)
2008-07-21 17:44

Milestone report is back in 1.8 beta2. Need to update documentation under this issue.
(0004016)
mhavlat (reporter)
2008-08-27 05:03

I committed a draft of User manual for 1.8. There are described the feature implementation now. It differs from old behavior.

- Issue History
Date Modified Username Field Change
2008-01-04 22:13 anilkanchi New Issue
2008-07-21 17:43 mhavlat Status new => assigned
2008-07-21 17:43 mhavlat Assigned To => mhavlat
2008-07-21 17:44 mhavlat Note Added: 0003832
2008-08-27 05:03 mhavlat Status assigned => resolved
2008-08-27 05:03 mhavlat Fixed in Version => next development 1.8 RC 1
2008-08-27 05:03 mhavlat Resolution open => fixed
2008-08-27 05:03 mhavlat Note Added: 0004016
2008-09-16 02:31 mhavlat Fixed in Version next development 1.8 RC 1 => 1.8 Beta 3
2008-11-07 19:45 mhavlat Status resolved => closed



Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker